#
# spec file for package zip (Version 2.3)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         zip
License:      BSD, Other License(s), see package
Group:        Productivity/Archiving/Compression
Provides:     crzip
Obsoletes:    crzip
Autoreqprov:  on
Version:      2.3
Release:      739
Summary:      File compression program
URL:          http://www.freesoftware.com/pub/infozip/
Source:       ftp://ftp.info-zip.org/pub/infozip/src/zip23.tar.bz2
Patch:        zip-%{version}.patch
Patch1:       zip-%{version}-tempfile.patch
Patch2:       zip-%{version}-iso8859_2.patch
Patch3:       zip-longpath.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Zip is a compression and file packaging utility. It is compatible with
PKZIP(tm) 2.04g (Phil Katz ZIP) for MS-DOS systems.



Authors:
--------
    Info-ZIP <zip-bugs@lists.wku.edu>

%prep
%setup -n zip-2.3
%patch
%patch1 -p1
%patch2
%patch3

%build
make -f unix/Makefile prefix=/usr CC="gcc $RPM_OPT_FLAGS" generic_gcc

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
make install -f unix/Makefile BINDIR=$RPM_BUILD_ROOT/usr/bin MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%doc BUGS CHANGES INSTALL LICENSE MANUAL README TODO WHATSNEW WHERE
%doc %{_mandir}/man1/zip.1.gz
/usr/bin/zip
/usr/bin/zipcloak
/usr/bin/zipnote
/usr/bin/zipsplit

%changelog -n zip
* Thu Dec 02 2004 - rommel@suse.de
- reworked zip-longpath.patch, missing free's after malloc
* Fri Nov 12 2004 - rommel@suse.de
- added zip-longpath.patch (Bugzilla #47932)
* Wed Sep 18 2002 - ro@suse.de
- removed bogus self-provides
* Thu Jan 24 2002 - grimmer@suse.de
- added zip-2.3-iso8859_2.patch to fix coding conversion
  between Microsoft and Linux file names
  (originally from http://www.axis.cz/linux/zip_unzip.php3,
  enhanced to support both ISO8859-1 and ISO8859-2 by Petr Mladek
  <pmladek@suse.cz>)
* Wed Jan 23 2002 - okir@suse.de
- Fixed tempfile race
* Mon Jun 18 2001 - schwab@suse.de
- Fix cpp directives inside macro call.
* Thu Dec 14 2000 - grimmer@suse.de
- added encryption patch
- bzipped sources
- now Provides and Obsoletes crzip
* Wed Mar 01 2000 - schwab@suse.de
- /usr/man -> /usr/share/man
* Fri Dec 17 1999 - grimmer@suse.de
- Update to 2.3
- Spec file cleanups
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Feb 22 1999 - grimmer@suse.de
- New version (2.2)
- specfile updates
- added french PAC-info
* Thu Feb 06 1997 - rj@suse.de
- Version 2.01:
- ownerships changed
- some cosmetic changes
